org.apache.catalina.ha.session

## Class ClusterSessionListener

- java.lang.Object
- - org.apache.catalina.ha.ClusterListener
  - - org.apache.catalina.ha.session.ClusterSessionListener

All Implemented Interfaces:
  ChannelListener

    public class ClusterSessionListener
    extends ClusterListener

Receive replicated SessionMessage form other cluster node.

Author:
  Filip Hanik, Peter Rossbach

### Field Summary

Fields
`protected static String` `info` The descriptive information about this implementation.

### Fields inherited from class org.apache.catalina.ha.ClusterListener

`cluster`

### Constructor Summary

Constructors
Constructor and Description
`ClusterSessionListener()`

### Method Summary

Methods
`boolean` `accept(ClusterMessage msg)` Accept only SessionMessage
`String` `getInfo()` Return descriptive information about this implementation.
`void` `messageReceived(ClusterMessage myobj)` Callback from the cluster, when a message is received, The cluster will broadcast it invoking the messageReceived on the receiver.

### Methods inherited from class org.apache.catalina.ha.ClusterListener

`accept, equals, getCluster, hashCode, messageReceived, setCluster`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### info

    protected static final String info

The descriptive information about this implementation.

See Also:
  Constant Field Values

### Constructor Detail

#### ClusterSessionListener

    public ClusterSessionListener()

### Method Detail

#### getInfo

    public String getInfo()

Return descriptive information about this implementation.

#### messageReceived

    public void messageReceived(ClusterMessage myobj)

Callback from the cluster, when a message is received, The cluster will broadcast it invoking the messageReceived on the receiver.

Specified by:
  `messageReceived` in class `ClusterListener`
Parameters:
  `myobj` - ClusterMessage - the message received from the cluster

#### accept

    public boolean accept(ClusterMessage msg)

Accept only SessionMessage

Specified by:
  `accept` in class `ClusterListener`
Parameters:
  `msg` - ClusterMessage
Returns:
  boolean - returns true to indicate that messageReceived should be invoked. If false is returned, the messageReceived method will not be invoked.